Subject: Re: bug#15478: cc-mode does not obey electric-indent-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Oct 2013 00:10:16 -0400

>> That's because *you* like electric-indent-mode.  Not because C is special.
> Electric indentation is more useful in a language like C than it is in
> something like Python --- C has a richer set of brace characters.

Right: Python is indeed special because fully automatic indentation is
not really possible.  But C is not special in this respect.

> cc-mode's sophisticated syntactic indentation is an Emacs "killer feature".

The "sophisticated syntactic indentation" is also a killer feature for
Octave users, SML users, Lisp users, Javascript users, ...

> Anyway, we should be showcasing it by default, using electric
> indentation, instead of hiding it behind configuration because users
> might want to lobotomize their indentation by rebinding <tab>.

That's arguing for changing the global default of electric-indent-mode.

Whereas this bug report is about changing cc-mode to follow the
global preference, whichever way it's set.

        Stefan